##############################################
## Table 2: Summary Statistics
##############################################

rm(list = ls())

# Loading Plot Options:
source("Code/Helper_Scripts/Plot_Options.R")

##############################################
## APRIL 17:
##############################################

# Loading data:
load("Data/April17.Rdata")

keep <- c("car", "no_subsidiaries", "foreign_ind", "min_physint")
vars <- subset(rep_17apr, select = keep)

# Renaming:
names(vars) <- c("CAR (4/17)", "\\# Subsidiaries", "$\\mathbb{1}$(Foreign)", "Rights Index")

# Stats for table:
stats <- list("n", "min", "median", "mean", "max", "s", "na")

# Writing Latex Table
tableContinuous(vars = vars,
  stats = stats,
  lab = "tab:sumstats",
  cap = "Summary Statistics",
  longtable = FALSE,
  caption.placement = "top")

##############################################
## MARCH 5:
##############################################

# Loading data:
load("Data/March5.Rdata")

keep <- c("car")
vars <- subset(rep_5mar, select = keep)

# Renaming:
names(vars) <- c("CAR (3/5)")

# Stats for table:
stats <- list("n", "min", "median", "mean", "max", "s", "na")

# Writing Latex Table
tableContinuous(
      vars = vars,
      stats = stats,
      lab = "tab:sumstats",
      cap = "Summary Statistics",
      longtable = FALSE)
